{
    "objects": [
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchId": "d19e8485-7df5-47ce-8009-9dc3c42bcf17-ecs",
                "title": "DNS Query Summary [Packetbeat] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"enabled\": true, \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"schema\": \"metric\", \"enabled\": true, \"params\": {\"field\": \"source.bytes\", \"customLabel\": \"Client Bytes\"}, \"id\": \"2\", \"type\": \"sum\"}, {\"schema\": \"metric\", \"enabled\": true, \"params\": {\"field\": \"destination.bytes\", \"customLabel\": \"Server Bytes\"}, \"id\": \"3\", \"type\": \"sum\"}, {\"schema\": \"metric\", \"enabled\": true, \"params\": {\"field\": \"event.duration\", \"customLabel\": \"Avg Response Time (ns)\"}, \"id\": \"4\", \"type\": \"avg\"}], \"title\": \"DNS Query Summary [Packetbeat] ECS\", \"params\": {\"fontSize\": \"17\", \"addTooltip\": true, \"metric\": {\"invertColors\": false, \"colorSchema\": \"Green to Red\", \"useRanges\": false, \"metricColorMode\": \"None\", \"percentageMode\": false, \"labels\": {\"show\": true}, \"colorsRange\": [{\"to\": 10000, \"from\": 0}], \"style\": {\"fontSize\": 28, \"subText\": \"\", \"bgColor\": false, \"labelColor\": false, \"bgFill\": \"#000\"}}, \"addLegend\": false, \"handleNoResults\": true, \"type\": \"metric\"}, \"type\": \"metric\"}"
            },
            "id": "DNS-Query-Summary-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:24.089Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"index\": \"packetbeat-*\", \"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchId": "d19e8485-7df5-47ce-8009-9dc3c42bcf17-ecs",
                "title": "DNS Request Status Over Time [Packetbeat] ECS",
                "uiStateJSON": "{\"vis\": {\"colors\": {\"Error\": \"#890F02\", \"OK\": \"#0A50A1\"}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"enabled\": true, \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"schema\": \"segment\", \"enabled\": true, \"params\": {\"useNormalizedEsInterval\": true, \"field\": \"@timestamp\", \"extended_bounds\": {}, \"min_doc_count\": 1, \"customInterval\": \"2h\", \"drop_partials\": false, \"interval\": \"auto\"}, \"id\": \"2\", \"type\": \"date_histogram\"}, {\"schema\": \"group\", \"enabled\": true, \"params\": {\"size\": 5, \"field\": \"status\", \"otherBucketLabel\": \"Other\", \"orderBy\": \"1\", \"missingBucketLabel\": \"Missing\", \"otherBucket\": false, \"order\": \"desc\", \"missingBucket\": false}, \"id\": \"3\", \"type\": \"terms\"}], \"title\": \"DNS Request Status Over Time [Packetbeat] ECS\", \"params\": {\"mode\": \"stacked\", \"valueAxes\": [{\"show\": true, \"id\": \"ValueAxis-1\", \"title\": {\"text\": \"Count\"}, \"name\": \"LeftAxis-1\", \"labels\": {\"truncate\": 100, \"rotate\": 0, \"show\": true, \"filter\": false}, \"style\": {}, \"type\": \"value\", \"position\": \"left\", \"scale\": {\"defaultYExtents\": false, \"mode\": \"normal\", \"type\": \"linear\", \"setYExtents\": false}}], \"setYExtents\": false, \"addLegend\": true, \"addTimeMarker\": false, \"shareYAxis\": true, \"interpolate\": \"linear\", \"smoothLines\": false, \"defaultYExtents\": false, \"legendPosition\": \"right\", \"times\": [], \"addTooltip\": true, \"seriesParams\": [{\"mode\": \"stacked\", \"valueAxis\": \"ValueAxis-1\", \"show\": \"true\", \"data\": {\"label\": \"Count\", \"id\": \"1\"}, \"interpolate\": \"cardinal\", \"type\": \"area\"}], \"type\": \"area\", \"yAxis\": {}, \"categoryAxes\": [{\"show\": true, \"id\": \"CategoryAxis-1\", \"title\": {}, \"labels\": {\"truncate\": 100, \"show\": true}, \"style\": {}, \"type\": \"category\", \"position\": \"bottom\", \"scale\": {\"type\": \"linear\"}}], \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"scale\": \"linear\"}, \"type\": \"area\"}"
            },
            "id": "DNS-Request-Status-Over-Time-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:24.089Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"index\": \"packetbeat-*\", \"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchId": "d19e8485-7df5-47ce-8009-9dc3c42bcf17-ecs",
                "title": "DNS Question Types [Packetbeat] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"enabled\": true, \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"schema\": \"segment\", \"enabled\": true, \"params\": {\"size\": 5, \"field\": \"dns.question.type\", \"otherBucketLabel\": \"Other\", \"orderBy\": \"1\", \"missingBucketLabel\": \"Missing\", \"otherBucket\": false, \"order\": \"desc\", \"missingBucket\": false}, \"id\": \"2\", \"type\": \"terms\"}], \"title\": \"DNS Question Types [Packetbeat] ECS\", \"params\": {\"legendPosition\": \"right\", \"shareYAxis\": true, \"addTooltip\": true, \"addLegend\": true, \"labels\": {\"truncate\": 100, \"show\": false, \"last_level\": true, \"values\": true}, \"type\": \"pie\", \"isDonut\": false}, \"type\": \"pie\"}"
            },
            "id": "DNS-Question-Types-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:24.089Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"index\": \"packetbeat-*\", \"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"highlight\": {\"fragment_size\": 2147483647, \"pre_tags\": [\"@kibana-highlighted-field@\"], \"fields\": {\"*\": {}}, \"require_field_match\": false, \"post_tags\": [\"@/kibana-highlighted-field@\"]}, \"filter\": [{\"query\": {\"match\": {\"status\": {\"query\": \"OK\", \"type\": \"phrase\"}}}, \"meta\": {\"index\": \"packetbeat-*\", \"negate\": false, \"key\": \"status\", \"type\": \"phrase\", \"params\": {\"query\": \"OK\", \"type\": \"phrase\"}, \"value\": \"OK\", \"alias\": null, \"disabled\": false}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "savedSearchId": "d19e8485-7df5-47ce-8009-9dc3c42bcf17-ecs",
                "title": "DNS Top 10 Questions [Packetbeat] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"enabled\": true, \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"schema\": \"bucket\", \"enabled\": true, \"params\": {\"orderBy\": \"1\", \"size\": 30, \"field\": \"dns.question.name\", \"order\": \"desc\", \"missingBucketLabel\": \"Missing\", \"otherBucket\": false, \"missingBucket\": false, \"otherBucketLabel\": \"Other\", \"customLabel\": \"Question\"}, \"id\": \"2\", \"type\": \"terms\"}], \"title\": \"DNS Top 10 Questions [Packetbeat] ECS\", \"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}, \"showMetricsAtAllLevels\": false, \"showTotal\": false, \"showPartialRows\": false, \"totalFunc\": \"sum\", \"perPage\": 10}, \"type\": \"table\"}"
            },
            "id": "DNS-Top-10-Questions-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:24.089Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"index\": \"packetbeat-*\", \"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"highlight\": {\"fragment_size\": 2147483647, \"pre_tags\": [\"@kibana-highlighted-field@\"], \"fields\": {\"*\": {}}, \"require_field_match\": false, \"post_tags\": [\"@/kibana-highlighted-field@\"]}, \"filter\": []}"
                },
                "savedSearchId": "d19e8485-7df5-47ce-8009-9dc3c42bcf17-ecs",
                "title": "DNS Response Codes [Packetbeat] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"enabled\": true, \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"schema\": \"bucket\", \"enabled\": true, \"params\": {\"orderBy\": \"1\", \"size\": 5, \"field\": \"dns.response_code\", \"order\": \"desc\", \"missingBucketLabel\": \"Missing\", \"otherBucket\": false, \"missingBucket\": false, \"otherBucketLabel\": \"Other\", \"customLabel\": \"Response Code\"}, \"id\": \"2\", \"type\": \"terms\"}], \"title\": \"DNS Response Codes [Packetbeat] ECS\", \"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}, \"showMetricsAtAllLevels\": false, \"showTotal\": false, \"showPartialRows\": false, \"totalFunc\": \"sum\", \"perPage\": 10}, \"type\": \"table\"}"
            },
            "id": "DNS-Response-Codes-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:24.089Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchId": "d19e8485-7df5-47ce-8009-9dc3c42bcf17-ecs",
                "title": "DNS Min/Max/Avg Response Time Histogram [Packetbeat] ECS",
                "uiStateJSON": "{\"vis\": {\"colors\": {\"Max Response Time (ns)\": \"#E24D42\", \"Avg Response Time (ns)\": \"#629E51\", \"Min Response Time (ns)\": \"#70DBED\"}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"segment\", \"enabled\": true, \"params\": {\"useNormalizedEsInterval\": true, \"field\": \"@timestamp\", \"extended_bounds\": {}, \"min_doc_count\": 1, \"customInterval\": \"2h\", \"drop_partials\": false, \"interval\": \"auto\"}, \"id\": \"2\", \"type\": \"date_histogram\"}, {\"schema\": \"metric\", \"enabled\": true, \"params\": {\"field\": \"event.duration\", \"customLabel\": \"Min Response Time (ns)\"}, \"id\": \"4\", \"type\": \"min\"}, {\"schema\": \"metric\", \"enabled\": true, \"params\": {\"field\": \"event.duration\", \"customLabel\": \"Avg Response Time (ns)\"}, \"id\": \"1\", \"type\": \"avg\"}, {\"schema\": \"metric\", \"enabled\": true, \"params\": {\"field\": \"event.duration\", \"customLabel\": \"Max Response Time (ns)\"}, \"id\": \"3\", \"type\": \"max\"}], \"title\": \"DNS Min/Max/Avg Response Time Histogram [Packetbeat] ECS\", \"params\": {\"legendPosition\": \"right\", \"times\": [], \"addTooltip\": true, \"valueAxes\": [{\"show\": true, \"id\": \"ValueAxis-1\", \"title\": {\"text\": \"Average event.duration\"}, \"name\": \"LeftAxis-1\", \"labels\": {\"truncate\": 100, \"rotate\": 0, \"show\": true, \"filter\": false}, \"style\": {}, \"type\": \"value\", \"position\": \"left\", \"scale\": {\"mode\": \"normal\", \"type\": \"linear\"}}], \"seriesParams\": [{\"drawLinesBetweenPoints\": true, \"mode\": \"stacked\", \"show\": true, \"valueAxis\": \"ValueAxis-1\", \"showCircles\": true, \"type\": \"area\", \"interpolate\": \"cardinal\", \"data\": {\"label\": \"Min Response Time (ns)\", \"id\": \"4\"}}, {\"drawLinesBetweenPoints\": true, \"mode\": \"stacked\", \"show\": \"true\", \"valueAxis\": \"ValueAxis-1\", \"showCircles\": true, \"type\": \"area\", \"interpolate\": \"cardinal\", \"data\": {\"label\": \"Avg Response Time (ns)\", \"id\": \"1\"}}, {\"drawLinesBetweenPoints\": true, \"mode\": \"stacked\", \"show\": true, \"valueAxis\": \"ValueAxis-1\", \"showCircles\": true, \"type\": \"area\", \"interpolate\": \"cardinal\", \"data\": {\"label\": \"Max Response Time (ns)\", \"id\": \"3\"}}], \"addLegend\": true, \"addTimeMarker\": false, \"categoryAxes\": [{\"show\": true, \"id\": \"CategoryAxis-1\", \"title\": {}, \"labels\": {\"truncate\": 100, \"show\": true}, \"style\": {}, \"type\": \"category\", \"position\": \"bottom\", \"scale\": {\"type\": \"linear\"}}], \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"type\": \"area\"}, \"type\": \"area\"}"
            },
            "id": "735d25c0-1459-11e9-9de0-f98d1808db8e-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:24.089Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchId": "d19e8485-7df5-47ce-8009-9dc3c42bcf17-ecs",
                "title": "DNS Client and Servers Pie Chart [Packetbeat] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"enabled\": true, \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"schema\": \"segment\", \"enabled\": true, \"params\": {\"orderBy\": \"1\", \"size\": 5, \"field\": \"destination.ip\", \"order\": \"desc\", \"missingBucketLabel\": \"Missing\", \"otherBucket\": false, \"missingBucket\": false, \"otherBucketLabel\": \"Other\", \"customLabel\": \"Server\"}, \"id\": \"3\", \"type\": \"terms\"}, {\"schema\": \"segment\", \"enabled\": true, \"params\": {\"orderBy\": \"1\", \"size\": 5, \"field\": \"source.ip\", \"order\": \"desc\", \"missingBucketLabel\": \"Missing\", \"otherBucket\": false, \"missingBucket\": false, \"otherBucketLabel\": \"Other\", \"customLabel\": \"Client\"}, \"id\": \"2\", \"type\": \"terms\"}], \"title\": \"DNS Client and Servers Pie Chart [Packetbeat] ECS\", \"params\": {\"legendPosition\": \"right\", \"addTooltip\": true, \"addLegend\": true, \"labels\": {\"truncate\": 100, \"show\": false, \"last_level\": true, \"values\": true}, \"type\": \"pie\", \"isDonut\": true}, \"type\": \"pie\"}"
            },
            "id": "bacb6ed0-1459-11e9-9de0-f98d1808db8e-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:24.089Z",
            "version": 1
        },
        {
            "attributes": {
                "columns": [
                    "server.ip",
                    "destination.ip",
                    "dns.question.name",
                    "status"
                ],
                "description": "",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"index\": \"packetbeat-*\", \"version\": true, \"highlightAll\": true, \"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"highlight\": {\"fragment_size\": 2147483647, \"pre_tags\": [\"@kibana-highlighted-field@\"], \"fields\": {\"*\": {}}, \"require_field_match\": false, \"post_tags\": [\"@/kibana-highlighted-field@\"]}, \"filter\": [{\"query\": {\"match\": {\"network.protocol\": {\"query\": \"dns\", \"type\": \"phrase\"}}}, \"meta\": {\"index\": \"packetbeat-*\", \"negate\": false, \"key\": \"network.protocol\", \"type\": \"phrase\", \"params\": {\"query\": \"dns\", \"type\": \"phrase\"}, \"value\": \"dns\", \"alias\": null, \"disabled\": false}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "sort": [
                    "@timestamp",
                    "desc"
                ],
                "title": "DNS Protocol [Packetbeat] ECS",
                "version": 1
            },
            "id": "d19e8485-7df5-47ce-8009-9dc3c42bcf17-ecs",
            "type": "search",
            "updated_at": "2019-01-18T23:49:24.089Z",
            "version": 2
        },
        {
            "attributes": {
                "description": "Overview of DNS request and response metrics.",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"useMargins\": true, \"darkTheme\": false}",
                "panelsJSON": "[{\"version\": \"7.0.0-SNAPSHOT\", \"panelIndex\": \"1\", \"gridData\": {\"h\": 15, \"w\": 24, \"i\": \"1\", \"x\": 0, \"y\": 0}, \"embeddableConfig\": {}, \"id\": \"DNS-Query-Summary-ecs\", \"type\": \"visualization\"}, {\"version\": \"7.0.0-SNAPSHOT\", \"panelIndex\": \"2\", \"gridData\": {\"h\": 15, \"w\": 24, \"i\": \"2\", \"x\": 24, \"y\": 0}, \"embeddableConfig\": {}, \"id\": \"DNS-Request-Status-Over-Time-ecs\", \"type\": \"visualization\"}, {\"version\": \"7.0.0-SNAPSHOT\", \"panelIndex\": \"3\", \"gridData\": {\"h\": 15, \"w\": 13, \"i\": \"3\", \"x\": 0, \"y\": 15}, \"embeddableConfig\": {}, \"id\": \"DNS-Question-Types-ecs\", \"type\": \"visualization\"}, {\"version\": \"7.0.0-SNAPSHOT\", \"panelIndex\": \"5\", \"gridData\": {\"h\": 15, \"w\": 24, \"i\": \"5\", \"x\": 0, \"y\": 30}, \"embeddableConfig\": {}, \"id\": \"DNS-Top-10-Questions-ecs\", \"type\": \"visualization\"}, {\"version\": \"7.0.0-SNAPSHOT\", \"panelIndex\": \"6\", \"gridData\": {\"h\": 15, \"w\": 24, \"i\": \"6\", \"x\": 24, \"y\": 30}, \"embeddableConfig\": {}, \"id\": \"DNS-Response-Codes-ecs\", \"type\": \"visualization\"}, {\"version\": \"7.0.0-SNAPSHOT\", \"panelIndex\": \"7\", \"gridData\": {\"h\": 15, \"w\": 24, \"i\": \"7\", \"x\": 24, \"y\": 15}, \"embeddableConfig\": {}, \"id\": \"735d25c0-1459-11e9-9de0-f98d1808db8e-ecs\", \"type\": \"visualization\"}, {\"version\": \"7.0.0-SNAPSHOT\", \"panelIndex\": \"8\", \"gridData\": {\"h\": 15, \"w\": 11, \"i\": \"8\", \"x\": 13, \"y\": 15}, \"embeddableConfig\": {}, \"id\": \"bacb6ed0-1459-11e9-9de0-f98d1808db8e-ecs\", \"type\": \"visualization\"}]",
                "timeRestore": false,
                "title": "[Packetbeat] DNS Overview ECS",
                "version": 1
            },
            "id": "65120940-1454-11e9-9de0-f98d1808db8e-ecs",
            "type": "dashboard",
            "updated_at": "2019-01-18T23:49:24.089Z",
            "version": 1
        }
    ],
    "version": "7.0.0-SNAPSHOT"
}